Full name: projects.locations.endpoints.getIamPolicy
Gets the access control policy for a resource. Returns an empty policy if the resource exists and does not have a policy set.
Endpoint
posthttps://{service-endpoint}/v1beta1/{resource}:getIamPolicy
Where {service-endpoint} is one of the supported service endpoints.
Path parameters
resourcestring
REQUIRED: The resource for which the policy is being requested. See Resource names for the appropriate value for this field.
Query parameters
OPTIONAL: A GetPolicyOptions object for specifying options to endpoints.getIamPolicy.
Request body
The request body must be empty.
Response body
If successful, the response body contains an instance of Policy.
IAM Permissions
Requires one of the following IAM permissions on the resource resource, depending on the resource type:
aiplatform.agents.getIamPolicyaiplatform.endpoints.getIamPolicyaiplatform.entityTypes.getIamPolicyaiplatform.featureGroups.getIamPolicyaiplatform.featureOnlineStores.getIamPolicyaiplatform.featureViews.getIamPolicyaiplatform.featurestores.getIamPolicyaiplatform.notebookRuntimeTemplates.getIamPolicyaiplatform.reasoningEngines.getIamPolicy
For more information, see the IAM documentation.